## python-django-js-asset 3.1.2

=== tests/requirements.txt ===
Django
coverage

## python-django-js-asset 1.2.2

=== debian/changelog ===
python-django-js-asset (1.2.2-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Add Vcs-* field.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Carsten Schoenert ]
  * Adding a patch queue from patchqueue branch
    Added patch:
    0001-Adapt-the-test-suite-to-changes-in-Django.patch
  * Running wrap-and-sort -ast
  * d/control: Bump debhelper version to 13
  * d/control: Adding entry Rules-Requires-Root: no
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/u/metadata: Adding some basic meta data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Sep 2021 09:20:22 +0200

python-django-js-asset (1.2.2-2) unstable; urgency=medium

  * Source only upload to unstable

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Aug 2019 21:22:10 -0300

python-django-js-asset (1.2.2-1) unstable; urgency=low

  * Initial release

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 Jul 2019 21:01:46 -0300

=== debian/control ===
Source: python-django-js-asset
Maintainer: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/matthiask/django-js-asset/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-js-asset
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-js-asset.git

Package: python3-django-js-asset
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: script tag with additional attributes for django.forms.Media
 This package provides a way of inserting script tags into Django templates
 that provide extra attributes such as `id` and `data-*` for CSP-compatible
 data injection.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-js-asset

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python-django-js-asset/trash

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cd tests && python3 manage.py test -v2 testapp
endif

## python-django-js-asset 2.0

=== debian/changelog ===
python-django-js-asset (2.0-1) unstable; urgency=medium

  * Team upload
  [ Antonio Terceiro ]
  * debian/gbp.conf: ensure pristine-tar is used

  [ Carsten Schoenert ]
  * New upstream version 2.0
  * Drop patch queue
  * d/copyright: Update copyright year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 02 Mar 2022 16:35:58 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-js-asset-$1.tar.gz%" \
    https://github.com/matthiask/django-js-asset/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-django-js-asset 2.1

=== debian/changelog ===
python-django-js-asset (2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.1, no changes needed.

  [ Carsten Schoenert ]
  * [6a780a2] New upstream version 2.1
  * [2509113] d/gbp.conf: Add some more defaults
  * [4ab5770] Droping not used patch queue
    No need to hold a patch queue any more, the one patch is now
    obsolete.
  * [2745064] d/control: Move over to hatchling and BuildProfileOpts
  * [dd6eac9] d/control: Keep handling of Depends by ${python3:Depends}
  * [937fbcf] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [34f9eaf] d/rules: Remove --with option in default target
  * [455e35b] autopkgtest: Split of the test call
  * [fee99db] autopkgtest: Use a script d/t/upstream to run tests
  * [0036a76] d/copyright: Update copyright data and content
  * [fd29eef] d/control: Switch Maintainer to Debian Python Team

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Jul 2023 19:54:29 +0200

## python-django-js-asset 2.2

=== debian/changelog ===
python-django-js-asset (2.2-1) unstable; urgency=medium

  * [2c733cf] New upstream version 2.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Dec 2023 07:24:30 +0100

=== debian/control ===
Source: python-django-js-asset
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antonio Terceiro <terceiro@debian.org>,
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django <!nocheck>,
 python3-hatchling,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/matthiask/django-js-asset/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-js-asset
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-js-asset.git

Package: python3-django-js-asset
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: script tag with additional attributes for django.forms.Media
 This package provides a way of inserting script tags into Django templates
 that provide extra attributes such as `id` and `data-*` for CSP-compatible
 data injection.

=== debian/tests/control ===
Tests:
 upstream
Depends:
 python3-all,
 @,
Restrictions: allow-stderr

## python-django-js-asset 3.0.1

=== debian/changelog ===
python-django-js-asset (3.0.1-1) unstable; urgency=medium

  * [7c11288] New upstream version 3.0.1
  * [d83f37d] d/control: Update Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Dec 2024 12:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-django <!nocheck>,
  python3-hatchling,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/matthiask/django-js-asset/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-js-asset
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-js-asset.git

## python-django-js-asset 3.1.2

=== debian/changelog ===
python-django-js-asset (3.1.2-1) unstable; urgency=medium

  * [43e5087] d/watch: Switch to Git mode on GitHub
  * [860186f] New upstream version 3.1.2
  * [73a6f06] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [49c2b7b] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 18 Mar 2025 18:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-django <!nocheck>,
  python3-hatchling,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/matthiask/django-js-asset/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-js-asset
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-js-asset.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+#export DH_VERBOSE = 1
 
 export PYBUILD_NAME=django-js-asset
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/matthiask/django-js-asset.git \
      refs/tags/@ANY_VERSION@
